﻿using System;
using System.Diagnostics;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            // Console.WriteLine(GetOutput("tasklist.exe", ""));

            int pid = Process.GetCurrentProcess().Id;
            Console.WriteLine(GetOutput("tasklist.exe", $"/FI \"PID eq {pid}\""));
        }

        private static string GetOutput(string executable, string arguments)
        {
            ProcessStartInfo psi = new ProcessStartInfo();
            psi.FileName = executable;
            psi.Arguments = arguments;
            psi.RedirectStandardOutput = true;
            psi.UseShellExecute = false;

            Process proc = Process.Start(psi);
            string txt = proc.StandardOutput.ReadToEnd();
            return txt;
        }
    }
}
